Upstream information

CVE-2008-0415 at MITRE

Description

Mozilla Firefox before 2.0.0.12, Thunderbird before 2.0.0.12, and SeaMonkey before 1.1.8 allows remote attackers to execute script outside of the sandbox and conduct cross-site scripting (XSS) attacks via multiple vectors including the XMLDocument.load function, aka "JavaScript privilege escalation bugs."

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.3
Vector AV:N/AC:M/Au:N/C:N/I:P/A:N
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact None
Integrity Impact Partial
Availability Impact None
SUSE Bugzilla entry: 354469 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Server 11 SP1
  • MozillaFirefox >= 3.5.9-0.1.1
  • MozillaFirefox-translations >= 3.5.9-0.1.1
Patchnames:
SUSE Linux Enterprise Server 11 SP1 GA MozillaFirefox
SUSE Linux Enterprise Server 11 SP2
  • MozillaFirefox >= 10.0-0.3.2
  • MozillaFirefox-translations >= 10.0-0.3.2
Patchnames:
SUSE Linux Enterprise Server 11 SP2 GA MozillaFirefox
SUSE Linux Enterprise Server 11 SP3
  • MozillaFirefox >= 17.0.4esr-0.10.42
  • MozillaFirefox-translations >= 17.0.4esr-0.10.42
Patchnames:
SUSE Linux Enterprise Server 11 SP3 GA MozillaFirefox
SUSE Linux Enterprise Server 11 SP4
  • MozillaFirefox >= 31.7.0esr-0.8.1
  • MozillaFirefox-translations >= 31.7.0esr-0.8.1
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA MozillaFirefox
SUSE Linux Enterprise Software Development Kit 11 SP4
  • MozillaFirefox-devel >= 31.7.0esr-0.8.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 11 SP4 GA MozillaFirefox-devel
SUSE LINUX 10.1
  • MozillaFirefox >= 2.0.0.12-0.2
  • MozillaFirefox-translations >= 2.0.0.12-0.2
Novell Linux Desktop 9 for x86
Novell Linux Desktop 9 for x86_64
  • MozillaFirefox >= 1.5.0.12-0.9
  • MozillaFirefox-translations >= 1.5.0.12-0.9
Builds
YOU Patch Nr: 12088
SUSE LINUX 10.1
  • epiphany >= 1.8.5-14.5
  • epiphany-devel >= 1.8.5-14.5
  • epiphany-doc >= 1.8.5-14.5
  • gecko-sdk >= 1.8.0.14eol-0.2
  • mozilla-xulrunner >= 1.8.0.14eol-0.2
  • mozilla-xulrunner-32bit >= 1.8.0.14eol-0.2
Novell Linux Desktop 9 for x86
  • mozilla >= 1.8_seamonkey_1.0.9-1.10
  • mozilla-cs >= 1.8_seamonkey_1.0.4-0.9
  • mozilla-deat >= 1.8_seamonkey_1.0.4-0.9
  • mozilla-devel >= 1.8_seamonkey_1.0.9-1.10
  • mozilla-dom-inspector >= 1.8_seamonkey_1.0.9-1.10
  • mozilla-hu >= 1.80_seamonkey_1.0.4-7
  • mozilla-irc >= 1.8_seamonkey_1.0.9-1.10
  • mozilla-mail >= 1.8_seamonkey_1.0.9-1.10
  • mozilla-venkman >= 1.8_seamonkey_1.0.9-1.10
core9.s390
core9.x86
YOU Patch Nr: 12090
Novell Linux Desktop 9 for x86_64
  • mozilla >= 1.8_seamonkey_1.0.9-1.10
  • mozilla-cs >= 1.8_seamonkey_1.0.4-0.9
  • mozilla-deat >= 1.8_seamonkey_1.0.4-0.9
  • mozilla-devel >= 1.8_seamonkey_1.0.9-1.10
  • mozilla-dom-inspector >= 1.8_seamonkey_1.0.9-1.10
  • mozilla-hu >= 1.80_seamonkey_1.0.4-7
  • mozilla-irc >= 1.8_seamonkey_1.0.9-1.10
  • mozilla-lib64 >= 1.8_seamonkey_1.0.9-0.4
  • mozilla-mail >= 1.8_seamonkey_1.0.9-1.10
  • mozilla-venkman >= 1.8_seamonkey_1.0.9-1.10
core9.s390
core9.x86
YOU Patch Nr: 12090
Open Enterprise Server
  • mozilla >= 1.8_seamonkey_1.0.9-1.10
  • mozilla-calendar >= 1.8_seamonkey_1.0.9-1.10
  • mozilla-cs >= 1.8_seamonkey_1.0.4-0.9
  • mozilla-deat >= 1.8_seamonkey_1.0.4-0.9
  • mozilla-devel >= 1.8_seamonkey_1.0.9-1.10
  • mozilla-dom-inspector >= 1.8_seamonkey_1.0.9-1.10
  • mozilla-hu >= 1.80_seamonkey_1.0.4-7
  • mozilla-irc >= 1.8_seamonkey_1.0.9-1.10
  • mozilla-mail >= 1.8_seamonkey_1.0.9-1.10
  • mozilla-venkman >= 1.8_seamonkey_1.0.9-1.10
core9.s390
core9.x86
YOU Patch Nr: 12090
SUSE LINUX 10.1
  • MozillaThunderbird >= 1.5.0.14-0.3
  • MozillaThunderbird-translations >= 1.5.0.14-0.3
SUSE LINUX 10.1
  • seamonkey >= 1.0.9-1.10
  • seamonkey-calendar >= 1.0.9-1.10
  • seamonkey-dom-inspector >= 1.0.9-1.10
  • seamonkey-irc >= 1.0.9-1.10
  • seamonkey-mail >= 1.0.9-1.10
  • seamonkey-spellchecker >= 1.0.9-1.10
  • seamonkey-venkman >= 1.0.9-1.10